post
https://sandbox-api.lemonway.fr/mb/ENV-NAME/directkitrest/v2/moneyins/paybybank/transfer/init
How does it work?
- Call POST v2/moneyins/paybybank/transfer/init, to receive a redirect URL and the transaction Id.
- Redirect the end-user to your bank selection page, were they can select their bank from the displayed list.
Note: If you specify the bankId in the request body, the end-user will be directed to their bank.
For further information on how to obtain bankIds, see: /v2/moneyins/ paybybank/transfer/banks - Once the end-user selects their bank they are redirected to the bank webpage to enter their credentials.
- After successfully entering their credentials, the end-user will go through Strong Customer Authentication (SCA) to confirm their identity (SCA examples include: face recognition or mobile Bank App software). Some bank ask to SCA before entering credentials.
- Once successfully authenticated the end-user only needs to verify and validate the amount, comments and so forth on the bank website.
- After submitting the payment, the end-user will be redirected to:
- returnUrl in case of success
- cancelUrl in case of cancellation
- errorUrl in case of error.
These 3 URLs must be publicly accessible for the end-user. It must also be accessible to our WebKit server to send requests to the end-user.
401Unauthorized
500InternalServerError

